<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCustomColumnsInfo Method (IEdmSearchResult6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearchResult6 Interface : GetCustomColumnsInfo Method (IEdmSearchResult6)

Visual Basic
C#
C++/CLI

ppoRetColsInfo
  Array of EdmListCol structures (see Remarks)

Gets the custom column headers for this favorite search result.

# Syntax

Visual Basic |
--- | ---

    Sub GetCustomColumnsInfo( _
       ByRef ppoRetColsInfo() As EdmListCol _
    )

C# |
--- | ---

    void GetCustomColumnsInfo(
       out EdmListCol[] ppoRetColsInfo
    )

C++/CLI |
--- | ---

    void GetCustomColumnsInfo(
    &   [Out] array<EdmListCol>^ ppoRetColsInfo
    )

#### Parameters

ppoRetColsInfo
  Array of EdmListCol structures (see Remarks)

# Example

See the IEdmSearch10 examples.

# Remarks

ppoRetColsInfo is not null only for favorite search results that show custom columns.

If the favorite search result:

- Does not have custom columns,

- ISearch10::GetFirstFavoriteResult is called with bGetCustomColumns set to false, or

- IEdmSearch5::GetFirstResult is called,

then ppoRetColsInfo is null.

The six fields in each structure returned in the ppoRetColsInfo array map to the elements in the array (ppoRetColValues) returned by IEdmSearchResult6::GetCustomColumnValues as follows:

size_of_ppoRetColValues = (size_of_ppoRetColsInfo) * (6 EdmListCol fields)

# See Also

####

IEdmSearchResult6 Interface
IEdmSearchResult6 Members

# Availability

SOLIDWORKS PDM Professional 2021